/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package myudfs;


import java.io.IOException;
import java.util.Iterator;
import java.lang.Long; 
import java.util.ArrayList;
import java.util.Collections; 
import java.util.HashMap; 

import org.apache.pig.EvalFunc;
import org.apache.pig.data.Tuple;
import org.apache.pig.data.DataBag;
import org.apache.pig.data.BagFactory;
import org.apache.pig.impl.util.WrappedIOException;


 
public class INTERSECT extends EvalFunc<DataBag>
 {
     public DataBag exec(Tuple input) throws IOException {
		 BagFactory b= BagFactory.getInstance(); 
		 DataBag bag= b.newDefaultBag(null); 
		 DataBag bag1 = (DataBag)(input.get(0));
		 DataBag bag2 = (DataBag)(input.get(1));
		 String key; 
		 HashMap map= new HashMap(); 
		 for (Tuple t: bag1) {
			 map.put((String)(t.get(0)), "1");
		 }
		 for (Tuple t: bag2){ 
			 key= (String)(t.get(0)); 
			 if (map.containsKey(key))
			 {
				 bag.add(t); 
			 }
		 }
		 return bag; 
	 }
 }
			 
			 
		 
		 
			


